/*
    DIG server exmaple

    Filename: dig_server_simple.pl at port: 8002
    Author: Zhisheng Huang <huang@cs.vu.nl>
    Last modified: 25 November, 2004
*/


:-use_module(library('dig/dig_client')).
:-use_module(library('dig/dig_server')).
:-use_module(library('dig/dig_process')).
:-use_module(library('http/thread_httpd')).

:-use_module(library('dig/owl/owl2dig')).

 


%deal with owl request
my_dig_server_processing(RequestData, Answer, [connection(close)]):-
			dig_requestdata_analysis(RequestData, _Data, Type),
			Type = 'rdf:RDF',
                  !,
               	owl2dig(RequestData, elements(L)),
			dig_post(elements(L), Answer, [connection(close)]),				
			true.



% simple forward
 my_dig_server_processing(RequestData, Answer, Options):-
			dig_post(RequestData, Answer, Options).



:- http_server(dig_server,[port(8002)]).



